import sys
from os import path, environ

env = 'dev'
if len(sys.argv) >= 2:
    env = sys.argv[1]

conf_path = path.abspath(__file__).split("energy-data-trans")[0] + f"/energy-data-trans/conf/etl_config_{env}.yaml"
environ['ETL_CONF'] = conf_path
environ['env'] = env

from service.common_connect import plt

tables = 'wind_company,wind_engine_group,wind_engine_mill,wind_exception_count,wind_field,wind_field_batch,wind_field_contract,wind_field_resource,wind_relation'

for table in tables.split(','):
    df = plt.read_sql_to_df(f"select * from {table}")
    df.to_csv(table + '.csv', encoding='utf8', index=False)
